> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Dữ liệu NĐT nước ngoài

> Truy vấn thông tin dữ liệu nhà đầu tư nước ngoài.



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /price/{symbol}/foreign-trading
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /price/{symbol}/foreign-trading:
    parameters:
      - name: symbol
        in: path
        required: true
        description: Mã chứng khoán
        schema:
          type: string
        example: ACB
    get:
      tags:
        - market-data
      summary: Dữ liệu NĐT nước ngoài
      description: Truy vấn thông tin dữ liệu nhà đầu tư nước ngoài.
      parameters:
        - name: boardId
          in: query
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          schema:
            type: string
          example: G1
        - name: from
          in: query
          required: true
          description: Thời gian bắt đầu (timestamp)
          schema:
            type: integer
          example: 1785729607
        - name: to
          in: query
          required: true
          description: Thời gian kết thúc (timestamp) (không vượt quá 1 ngày)
          schema:
            type: integer
          example: 1785731407
        - name: limit
          in: query
          schema:
            type: integer
          example: 100
        - name: order
          in: query
          schema:
            type: string
          example: DESC
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
          example: '{{apiKey}}'
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
          example: '{{date}}'
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
          example: '{{signature}}'
        - name: version
          in: header
          description: API version (YYYY-MM-DD)
          schema:
            type: string
          example: '2026-07-23'
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              schema:
                type: integer
              example: 54238
            Date:
              schema:
                type: string
              example: Mon, 22 Jun 2026 10:00:01 GMT
            Vary:
              schema:
                type: string
              example: Origin
            X-Ratelimit-Limit:
              schema:
                type: integer
              example: 10000
            X-Ratelimit-Remaining:
              schema:
                type: integer
              example: 9999
            X-Ratelimit-Reset:
              schema:
                type: integer
              example: 1782208801
            X-Tyk-Api-Expires:
              schema:
                type: string
              example: Thu, 02 Jan 3000 15:04:00 UTC
          content:
            application/json:
              schema:
                type: object
                description: ''
                properties:
                  foreigners:
                    type: array
                    description: >-
                      Danh sách dữ liệu giao dịch của nhà đầu tư nước ngoài theo
                      mã chứng khoán.
                    example:
                      - marketId: STO
                        boardId: G1
                        symbol: ACB
                        tradingSessionId: '40'
                        sellVolume: 200
                        sellTradedAmount: 19800000
                        buyVolume: 500
                        buyTradedAmount: 49350000
                        totalSellVolume: 200
                        totalSellTradedAmount: 19800000
                        totalBuyVolume: 500
                        totalBuyTradedAmount: 49350000
                        foreignerOrderLimitQuantity: 62397864
                        foreignerBuyPossibleQuantity: 265119351
                        time: '2026-08-03 11:30:00.091'
                    items:
                      type: object
                      properties:
                        marketId:
                          type: string
                          example: STO
                          description: |-
                            Mã thị trường niêm yết mã chứng khoán
                            - DVX: Phái sinh sàn HNX
                            - HCX: Trái phiếu doanh nghiệp HNX
                            - STO: Cổ phiếu sàn HOSE
                            - STX: Cổ phiếu sàn HNX
                            - UPX: Cổ phiếu sàn Upcom
                        boardId:
                          type: string
                          example: G1
                          description: |-
                            Mã bảng giao dịch
                            - G1: Lô chẵn
                            - G4: Lô lẻ
                            - T1: Thỏa thuận trong giờ (9h - 14h45)
                            - T3: Thỏa thuận sau giờ (14h45 - 15h)
                            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
                            - T6: Thỏa thuận lô lẻ sau giờ (14h45 - 15h)
                        symbol:
                          type: string
                          example: ACB
                          description: Mã chứng khoán
                        tradingSessionId:
                          type: string
                          example: '40'
                          description: |-
                            Mã phiên giao dịch hiện tại
                            - 10: Phiên ATO
                            - 30: Phiên ATC
                            - 40: Phiên liên tục
                            - 80: PCA Mã halt
                            - 99: Đóng bảng
                        sellVolume:
                          type: integer
                          format: int32
                          example: 200
                          description: >-
                            Khối lượng bán khớp lệnh của nhà đầu tư nước ngoài
                            trong phiên
                        sellTradedAmount:
                          type: integer
                          format: int32
                          example: 19800000
                          description: >-
                            Giá trị bán khớp lệnh của nhà đầu tư nước ngoài
                            trong phiên
                        buyVolume:
                          type: integer
                          format: int32
                          example: 500
                          description: >-
                            Khối lượng mua khớp lệnh của nhà đầu tư nước ngoài
                            trong phiên
                        buyTradedAmount:
                          type: integer
                          format: int32
                          example: 49350000
                          description: >-
                            Giá trị mua khớp lệnh của nhà đầu tư nước ngoài
                            trong phiên
                        totalSellVolume:
                          type: integer
                          format: int32
                          example: 200
                          description: Tổng khối lượng bán lũy kế của nhà đầu tư nước ngoài
                        totalSellTradedAmount:
                          type: integer
                          format: int32
                          example: 19800000
                          description: Tổng giá trị bán lũy kế của nhà đầu tư nước ngoài
                        totalBuyVolume:
                          type: integer
                          format: int32
                          example: 500
                          description: Tổng khối lượng mua lũy kế của nhà đầu tư nước ngoà
                        totalBuyTradedAmount:
                          type: integer
                          format: int32
                          example: 49350000
                          description: Tổng giá trị mua lũy kế của nhà đầu tư nước ngoài
                        foreignerOrderLimitQuantity:
                          type: integer
                          format: int32
                          example: 62397864
                          description: >-
                            Giới hạn khối lượng sở hữu tối đa dành cho nhà đầu
                            tư nước ngoài
                        foreignerBuyPossibleQuantity:
                          type: integer
                          format: int32
                          example: 265119351
                          description: >-
                            Khối lượng còn lại mà nhà đầu tư nước ngoài được
                            phép mua
                        time:
                          type: string
                          example: '2026-08-03 11:30:00.091'
                          description: >-
                            Thời gian ghi nhận. Định dạng: YYYY-MM-DD
                            HH:mm:ss.SSS (GMT+7).
                  nextPageToken:
                    type: string
                    example: Nl8yXzQwX0FDQl8yMDI2LTA2LTExVDA2OjU0OjAwLjM2OFo=
                    description: >-
                      Token dùng để lấy trang dữ liệu tiếp theo. Giá trị null
                      nếu không còn dữ liệu.
              example:
                foreigners:
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:30:00.091'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:29:00.088'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:28:00.092'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:27:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:26:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:25:00.090'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:24:00.090'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:23:00.099'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:22:00.088'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:21:00.090'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:20:00.091'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:19:00.088'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:18:00.091'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:17:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:16:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:15:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:14:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:13:00.091'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:12:00.092'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:11:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:10:00.092'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:09:00.090'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:08:00.093'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:07:00.092'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:06:00.093'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:05:00.088'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:04:00.089'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:03:00.095'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:02:00.090'
                  - marketId: STO
                    boardId: G1
                    symbol: ACB
                    tradingSessionId: '40'
                    sellVolume: 200
                    sellTradedAmount: 19800000
                    buyVolume: 500
                    buyTradedAmount: 49350000
                    totalSellVolume: 200
                    totalSellTradedAmount: 19800000
                    totalBuyVolume: 500
                    totalBuyTradedAmount: 49350000
                    foreignerOrderLimitQuantity: 62397864
                    foreignerBuyPossibleQuantity: 265119351
                    time: '2026-08-03 11:01:00.089'
                nextPageToken: Nl8yXzQwX0FDQl8yMDI2LTA2LTExVDA2OjU0OjAwLjM2OFo=
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-003
                    description: Mã lỗi
                  message:
                    type: string
                    example: Thông tin nhập không hợp lệ
                    description: Thông điệp lỗi
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.